Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSBase

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase

Direct Known Subclasses:
  PluginAntiSenseRNA, PluginBindingRegion, PluginCompartment, PluginCompartmentType, PluginConstraint, PluginEvent, PluginEventAssignment, PluginFunctionDefinition, PluginGene, PluginGLogicGate, PluginInformationBox, PluginInitialAssignment, PluginKineticLaw, PluginListOf, PluginModel, PluginModification, PluginModificationRegion, PluginModificationResidue, PluginParameter, PluginProtein, PluginReaction, PluginRNA, PluginRule, PluginSimpleSpeciesReference, PluginSpecies, PluginSpeciesAlias, PluginSpeciesType, PluginStructuralState, PluginUnit, PluginUnitDefinition

    public class PluginSBase

extends java.lang.Object

This class wraps org.sbml.libsbml.SBase for the plug-in.

Author:

Field Summary
`protected SBase` | `sbase` sbase

Constructor Summary
`protected` | `PluginSBase()` Constructor

Method Summary
`void` | `addCVTerm(CVTerm term)`
`protected java.util.Vector` | `ChangeCVTermToMiriamDefinition(java.util.List CVTermT)`
`XMLNode` | `getAnnotation()`
`java.lang.String` | `getAnnotationString()`
`CVTerm` | `getCVTerm(int index)`
`XMLNode` | `getNotes()`
`java.lang.String` | `getNotesString()`
`int` | `getNumCVTerms()`
`protected PluginSBase` | `getParentSBase()`
`static java.lang.String` | `getRelationFromCVTerm(CVTerm term)`
`void` | `setAnnotation(XMLNode annotations)`
`void` | `setAnnotationString(java.lang.String annotations)`
`protected void` | `setCVTerm(XMLNode node)`
`void` | `setNotes(java.lang.String notes)` Sets the Notes of this PluginSBase.
`void` | `setNotes(XMLNode notes)`
`protected void` | `setParentSBase(PluginSBase parentSBase)` Sets the ParentSBase of this PluginSBase.
`java.lang.String` | `toSBML()` toSBML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sbase

    protected SBase sbase

  sbase

Constructor Detail

### PluginSBase

    protected PluginSBase()

  Constructor

Method Detail

### setNotes

    public void setNotes(java.lang.String notes)

  Sets the Notes of this PluginSBase.

  Parameters:
    `notes` -

### setNotes

    public void setNotes(XMLNode notes)

### getNotesString

    public java.lang.String getNotesString()

  Returns:
    the notes of this PluginSBase.

### getNotes

    public XMLNode getNotes()

### getParentSBase

    protected PluginSBase getParentSBase()

  Returns:
    the parentSBase of this PluginSBase.

### setParentSBase

    protected void setParentSBase(PluginSBase parentSBase)

  Sets the ParentSBase of this PluginSBase.

  Parameters:
    `parentSBase` -

### toSBML

    public java.lang.String toSBML()

  toSBML

  Returns:
    the string of SBML

### getAnnotationString

    public java.lang.String getAnnotationString()

  Returns:
    get the annotation of this PluginSBase.

### setAnnotationString

    public void setAnnotationString(java.lang.String annotations)

### getAnnotation

    public XMLNode getAnnotation()

  Returns:
    get the annotation of this PluginSBase.

### setAnnotation

    public void setAnnotation(XMLNode annotations)

### setCVTerm

    protected void setCVTerm(XMLNode node)

### getCVTerm

    public CVTerm getCVTerm(int index)

### getNumCVTerms

    public int getNumCVTerms()

### addCVTerm

    public void addCVTerm(CVTerm term)

### ChangeCVTermToMiriamDefinition

    protected java.util.Vector ChangeCVTermToMiriamDefinition(java.util.List CVTermT)

### getRelationFromCVTerm

    public static java.lang.String getRelationFromCVTerm(CVTerm term)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD